Description

The "Classes" section of the "Create Host" page could use a face lift.  It is hard to read, especially with a large number of classes.  It

would also be nice if you could somehow limit what modules are listed, perhaps modules specific to the OS?  I have lots of modules

such as "ntp::linux::config," "ntp::linux::service," etc but I'm really only interested in seeing/including "ntp," since everything else

(ntp::linux::bleh) is included from the "ntp" class.

I think a good layout would be two boxes (Available and Selected) where you could drag (or move over with an arrow) classes from

the available box to the selected box.

Associated revisions

Revision 1cd4a9b6 - 11/25/2009 03:45 AM - Ohad Levy

fixes #82

History

#1 - 11/18/2009 04:11 PM - Josh Baird

- File dragndrop.jpg added

I have uploaded an example screenshot of one way to organize this.

#2 - 11/23/2009 03:57 PM - Ohad Levy

- Category set to Web Interface

- Status changed from New to Feedback

- Assignee set to Josh Baird

diff --git a/app/controllers/hosts_controller.rb b/app/controllers/hosts_control

index b7ad2a2..25fbcc6 100644

--- a/app/controllers/hosts_controller.rb

+++ b/app/controllers/hosts_controller.rb

@@ -15,6 +15,7 @@ class HostsController < ApplicationController

     config.columns[:domain].form_ui  = :select

     config.columns[:environment].form_ui  = :select

     config.columns[:puppetclasses].form_ui  = :select

+    config.columns[:puppetclasses].options = { :draggable_lists => {}}

     config.columns[:fact_values].association.reverse = :host

     config.nested.add_link("Inventory", [:fact_values])

     config.columns[:puppetmaster].description = "leave empty if

#3 - 11/24/2009 04:01 AM - Josh Baird

Excellent!  The only thing I would add is a highlight to the currently selected item.  I will see if I can manage this via CSS.

#4 - 11/24/2009 03:43 PM - Josh Baird

Also, this feature should be implemented on the Foreman Groups page.
#5 - 11/25/2009 03:46 AM - Ohad Levy

- Status changed from Feedback to Ready For Testing

- Target version set to 0.1-3

- % Done changed from 0 to 90

first stab at 9187d3f1fe0482895bbf9609e287ba6298677763

#6 - 11/25/2009 03:46 AM - Ohad Levy

- % Done changed from 90 to 100

Applied in changeset 1cd4a9b62d9f71dd8661cca622b64d9b4f0ac1f7.

#7 - 11/26/2009 04:04 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

- Assignee changed from Josh Baird to Ohad Levy

Files

dragndrop.jpg 10.3 KB 11/18/2009 Josh Baird

Powered by TCPDF (www.tcpdf.org)

05/03/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/9187d3f1fe0482895bbf9609e287ba6298677763
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/1cd4a9b62d9f71dd8661cca622b64d9b4f0ac1f7
http://www.tcpdf.org

